#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QAction>
#include <QDebug>
MainWindow::MainWindow(QWidget *parent) :
        QMainWindow(parent),
        ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    mMainToolBar = new QToolBar;
    addToolBar(Qt::LeftToolBarArea,mMainToolBar);
    showMaximized();

}

void MainWindow::addWidgetAction(QAction * action, QWidget * widget)
{
    mWidgetActions[action] = widget;
    mMainToolBar->addAction(action);
    action->setCheckable(true);
    connect(action,SIGNAL(toggled(bool)),this,SLOT(activeWidget(bool)));

}
void MainWindow::activeWidget(bool show)
{
    qDebug()<<"active";
    QAction * action = qobject_cast<QAction*>(sender());
    QWidget * widget=  mWidgetActions[action];

    if ( show)
    {
        int currentIndex= ui->tabWidget->addTab(widget,widget->windowIcon(),action->text());
        ui->tabWidget->setCurrentIndex(currentIndex);

    }
    if (!show)
    {
        int tabIndex = ui->tabWidget->indexOf(mWidgetActions[action]);
        ui->tabWidget->removeTab(tabIndex);
    }

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
