#include "textshartitem.h"
#include <QFontDialog>
TextOptionDialog::TextOptionDialog(QWidget *parent)
{

    QWidget * mainWidget = new QWidget;
    QFormLayout * layout = new QFormLayout;
    mFontButton = new QPushButton;
    mTextEdit = new QTextEdit;
    layout->addRow("font", mFontButton);
    layout->addRow("text", mTextEdit);
    mainWidget->setLayout(layout);
    tabWidget()->addTab(mainWidget,"text option");

    connect(mFontButton,SIGNAL(clicked()),this,SLOT(showFontDialog()));


}

void TextOptionDialog::showFontDialog()
{

    bool ok;
    mFont = QFontDialog::getFont(&ok, QFont("Times", 12), this);
    mFontButton->setFont(mFont);
    mFontButton->setText(mFont.family()+" "+QString::number(mFont.pointSize()));
}

//=============================================================

//=============================================================

TextShartItem::TextShartItem(const QString& t,QObject * parent)
    :AbstractShartItem(parent)
{

    mText=t;
    mFont = QFont();

    connect(this,SIGNAL(optionClicked()),this,SLOT(showOption()));



}
void TextShartItem::showOption()
{

    TextOptionDialog * dialog = new TextOptionDialog;
    dialog->exec();
    setFont(dialog->font());
    setText(dialog->text());
    update(boundingRect());


}

void TextShartItem::setText(const QString& text)
{
    mText = text;
}

void TextShartItem::setFont(const QFont & font)
{
    mFont = font;
}

void TextShartItem::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{


    painter->setFont(mFont);
    painter->drawText(boundingRect(),Qt::AlignCenter,mText);


    AbstractShartItem::paint(painter,option,widget);
}
